Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_data_type_struct Struct Reference

`#include <ruby.h>`

## Data Fields
const char * | wrap_struct_name
struct {
void(* rb_data_type_struct::dmark )(void *)
void(* rb_data_type_struct::dfree )(void *)
size_t(* rb_data_type_struct::dsize )(const void *)
void(* rb_data_type_struct::dcompact )(void *)
void * rb_data_type_struct::reserved [1]
} | function
const rb_data_type_t * | parent
void * | data
VALUE | flags

## Detailed Description

Definition at line 1148 of file ruby.h.

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h